project/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('story5.urls')),
    path('story6/', include('story6.urls')),
]

story5/urls.py
from django.urls import path

from . import views

app_name = 'story5'

urlpatterns = [
    path('', views.index, name='index'),
    path('addJadwal/',views.addJadwal, name ='addJadwal'),
    path('deleteJadwal/<jadwal_id>',views.deleteJadwal, name ='deleteJadwal'),
    path('detail/<jadwal_id>', views.detail, name='detail'),
]

story6/urls.py
from django.urls import path

from . import views

app_name = 'story6'

urlpatterns = [
    path('', views.index, name='index'),
    path('addKegiatan/',views.addKegiatan, name ='addKegiatan'),
    path('addOrang/',views.addOrang, name ='addOrang'),
]

story5/models.py
from django.db import models


# Create your models here.
class jadwal(models.Model):
    mataKuliah = models.CharField(max_length=40)
    namaDosen = models.CharField(max_length=40)
    jumlahSKS = models.IntegerField()
    deskMatkul = models.CharField(max_length=1000, default='')
    tahun = models.CharField(max_length=40, default='')
    ruangKelas = models.CharField(max_length=40, default='')    

    def __str__(self):
        return self.mataKuliah

story6/models.py
from django.db import models


# Create your models here.
class jenisKegiatan(models.Model):
    namaKegiatan = models.CharField(max_length=100)

    def __str__(self):
        return self.namaKegiatan

class namaOrang(models.Model):
    namaOrang = models.CharField(max_length=100)
    kegiatan = models.ForeignKey(jenisKegiatan,null=True,blank=True,on_delete=models.CASCADE)
    
    def __str__ (self):
        return self.namaOrang

story5/forms.py
from django import forms

class jadwalForm(forms.Form):
    jumlah_SKS= [
    ('1', '1'),
    ('2', '2'),
    ('3', '3'),
    ('4', '4'),
    ('5', '5'),
    ('6', '6'),
    ]
    mataKuliah = forms.CharField(max_length=40, widget=forms.TextInput(attrs={'class' : 'form-control', 'placeholder' : 'Enter your Matkul' }))
    namaDosen = forms.CharField(max_length=40, widget=forms.TextInput(attrs={'class' : 'form-control', 'placeholder' : 'Siapa dosennya ?'}))
    deskMatkul = forms.CharField(max_length=1000, widget=forms.Textarea(attrs={'class' : 'form-control', 'id':'exampleFormControlTextarea1','rows':'5', 'null':'True'}))
    ruangKelas = forms.CharField(max_length=40, widget=forms.TextInput(attrs={'class' : 'form-control'}))
    tahun = forms.CharField(max_length=40, widget=forms.TextInput(attrs={'class' : 'form-control'}))
    jumlahSKS = forms.IntegerField(max_value=100, widget=forms.Select(choices=jumlah_SKS))

story6/forms.py
from django import forms

class FormjenisKegiatan(forms.Form):
    namaKegiatan = forms.CharField(max_length=100,label="Kegiatan ?" ,widget=forms.TextInput(attrs={'class' : 'form-control', 'placeholder' : 'Apa Kegiatan mu ?' }))

class FormOrang(forms.Form):
    namaOrang = forms.CharField(max_length=100,label="Nama ?", widget=forms.TextInput(attrs={'class' : 'form-control', 'placeholder' : 'Nama mu siapa ?' }))

story5/views.py
from django.http import request
from django.shortcuts import render, redirect
from .models import jadwal
from .forms import jadwalForm
from django.views.decorators.http import require_POST



def index(request):
    jadwal_list = jadwal.objects.order_by('id')
    form = jadwalForm()
    context = {'jadwal_list': jadwal_list, 'form':form}
    return render(request, 'home/index.html', context)

def detail(request, jadwal_id):
    jadwalSelected = jadwal.objects.get(id=jadwal_id)
    response = {'jadwalSelected': jadwalSelected}
    return render(request,'home/detail.html', response)

@require_POST
def addJadwal(request):
    form = jadwalForm(request.POST)
    if form.is_valid():
        newJadwal = jadwal(mataKuliah=request.POST['mataKuliah'], namaDosen=request.POST['namaDosen'],jumlahSKS=request.POST['jumlahSKS'],deskMatkul=request.POST['deskMatkul'],ruangKelas=request.POST['ruangKelas'],tahun=request.POST['tahun'])
        newJadwal.save()

    return redirect('story5:index')

def deleteJadwal(request, jadwal_id):
    jadwal.objects.get(id=jadwal_id).delete()
    return redirect('story5:index')

story6/views.py
from django.shortcuts import render
from django.shortcuts import render, redirect
from .models import jenisKegiatan,namaOrang
from .forms import FormjenisKegiatan,FormOrang
from django.views.decorators.http import require_POST

# Create your views here.
def index(request):
    nama_orang_list = namaOrang.objects.order_by('id')
    formOrang = FormOrang()
    nama_kegiatan = jenisKegiatan.objects.order_by('id')
    formKeg = FormjenisKegiatan()
    context = {'nama_orang_list':nama_orang_list, 'formOrang':formOrang, 'nama_kegiatan':nama_kegiatan,'formKeg':formKeg}
    return render (request, 'home/index.html', context)

@require_POST
def addKegiatan(request):
    form = FormjenisKegiatan(request.POST)
    if form.is_valid():
        newKegiatan = jenisKegiatan(namaKegiatan = request.POST['namaKegiatan'])
        newKegiatan.save()
    return redirect('story6:index')

def addOrang(request):
    form = FormOrang(request.POST)
    if form.is_valid():
        newOrang = namaOrang(namaOrang = request.POST['namaOrang'])
        newOrang.save()
    return redirect('story6:index')


# Create your views here.

story5/templates/home/detail.html
<!doctype html>
<html lang="en">
  {% load static %}
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="{% static 'css/style.css'%}">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">

    <title>Detail Jadwal</title>
  </head>
  <body class="container">
    <h1 style="margin-top: 50px;">Detail Mata Kuliah</h1>
    <div>
      <div class="row">
        <div class="col">
          <h3>Mata Kuliah:</h3>
        </div>
        <div class="col" >
          <h3>{{jadwalSelected.mataKuliah}}</h3>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <h3>Jumlah SKS:</h3>
        </div>
        <div class="col" >
          <h3>{{jadwalSelected.jumlahSKS}}</h3>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <h3>Dosen:</h3>
        </div>
        <div class="col" >
          <h3>{{jadwalSelected.namaDosen}}</h3>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <h3>Deskripsi Mata Kuliah:</h3>
        </div>
        <div class="col" >
          <p>{{jadwalSelected.deskMatkul}}<p>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <h3>Semester Tahun:</h3>
        </div>
        <div class="col" >
          <h3>{{jadwalSelected.tahun}}</h3>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <h3>Ruang Kelas:</h3>
        </div>
        <div class="col" >
          <h3>{{jadwalSelected.ruangKelas}}</h3>
        </div>
      </div>
    </div>
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
  </body>
</html>

story5/templates/home/index.html
<!doctype html>
<html lang="en">
  {% load static %}
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="{% static 'css/style.css'%}">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">

    <title>Hello, world!</title>
  </head>
  <body class="container" id="contain" style="background-color: #b8f2e6;">
      <div class="row" style="background-color: #aed9e0;">
        <div class="col">
          <div class="h1 text-center" style="font-weight:bold"> Tambah Jadwalmu!</div>
          <form action="{% url 'story5:addJadwal' %}" method="POST" role="form">
            {% csrf_token %}
            <div class="form-group">
              <label for="mataKuliah">Nama Mata Kuliah</label>
              {{form.mataKuliah}}
            </div>
            <div class="form-group">
              <label for="namaDosen">Nama Dosen</label>
              {{form.namaDosen}}
            </div>
            <div class="form-group">
              <label for="deskMatkul">Deskripsi Mata Kuliah</label>
              {{form.deskMatkul}}
              <div class="form-group">
                <label for="jumlahSKS">Ruang Kelas</label>
                {{form.ruangKelas}}
              </div>
            </div>
            <div class="form-group">
              <label for="tahun">Tahun</label>
              {{form.tahun}}
            </div>
            <div class="form-group">
              <label for="jumlahSKS">Jumlah SKS</label>
              {{form.jumlahSKS}}
            </div>
            <button type="submit" class="btn btn-primary">Tambah</button>
          </form>
        </div>
      </div>
    </div>

      
      <div class="row" style="margin-top: 20px;">
        <div class="col";>
          <div class="h2 text" style="font-weight:bold"> Daftar Mata Kuliah</div>
            <ul class="list-group">
            {% for jadwal in jadwal_list %}
              <li class="list-group-item">
                  {{jadwal.mataKuliah}}
              <div class="float-right">
                <a href="{% url 'story5:deleteJadwal' jadwal.id %}" >
                  <button type="button" class="btn btn-danger btn-sm">Hapus</button>
                </a>
              </div>
              <div class="float-right">
                <a href="{% url 'story5:detail' jadwal.id %}">
                  <button type="button" class="btn btn-info btn-sm" style="margin-right: 10px;">Detail</button>
                </a>
              </div>
            </li>
            {% endfor %}
          </ul>
        </div>
      </div>
      
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
  </body>
</html>